use clap::Parser;

#[derive(Parser, Debug)]
#[command(author, version, about, long_about = None)]
struct Cli {
    #[arg(short, long, required = true)]
    path: String,
}

fn main() -> eyre::Result<()> {
    let args = Cli::parse();

    let log = gitlog_core::get_git_log(args.path)?;
    println!("{}", log);

    Ok(())
}
